<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HwmfDrawProperties (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwmfDrawProperties (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":10,"i46":10,"i47":10,"i48":10,"i49":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfDrawProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html"
               title="class in org.apache.poi.hwmf.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/draw/HwmfDrawProperties.html"
               target="_top">Frames</a></li>
        <li><a href="HwmfDrawProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwmf.draw</div>
    <h2 title="Class HwmfDrawProperties" class="title">Class HwmfDrawProperties</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwmf.draw.HwmfDrawProperties</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HwmfDrawProperties</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#HwmfDrawProperties--">HwmfDrawProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#HwmfDrawProperties-org.apache.poi.hwmf.draw.HwmfDrawProperties-">HwmfDrawProperties</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html"
                                        title="class in org.apache.poi.hwmf.draw">HwmfDrawProperties</a>&nbsp;other)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfColorRef</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getBackgroundColor--">getBackgroundColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetBkMode.HwmfBkMode.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfMisc.WmfSetBkMode.HwmfBkMode</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getBkMode--">getBkMode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.awt.image.BufferedImage</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getBrushBitmap--">getBrushBitmap</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfColorRef</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getBrushColor--">getBrushColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfHatchStyle.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfHatchStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getBrushHatch--">getBrushHatch</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBrushStyle.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBrushStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getBrushStyle--">getBrushStyle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFont.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFont</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getFont--">getFont</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.awt.geom.Point2D</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getLocation--">getLocation</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfMapMode.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfMapMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getMapMode--">getMapMode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.PaletteEntry.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfPalette.PaletteEntry</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getPalette--">getPalette</a></span>()</code>
                                    <div class="block">Returns the current palette.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getPaletteOffset--">getPaletteOffset</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfColorRef</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getPenColor--">getPenColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getPenMiterLimit--">getPenMiterLimit</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfPenStyle.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfPenStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getPenStyle--">getPenStyle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getPenWidth--">getPenWidth</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getPolyfillMode--">getPolyfillMode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>java.awt.Shape</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getRegion--">getRegion</a></span>()</code>
                                    <div class="block">Gets the last stored region</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextAlignment</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getTextAlignAsian--">getTextAlignAsian</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextAlignment</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getTextAlignLatin--">getTextAlignLatin</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfColorRef</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getTextColor--">getTextColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextVerticalAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextVerticalAlignment</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getTextVAlignAsian--">getTextVAlignAsian</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextVerticalAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextVerticalAlignment</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getTextVAlignLatin--">getTextVAlignLatin</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>java.awt.geom.Rectangle2D</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getViewport--">getViewport</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>java.awt.geom.Rectangle2D</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#getWindow--">getWindow</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setBackgroundColor-org.apache.poi.hwmf.record.HwmfColorRef-">setBackgroundColor</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfColorRef</a>&nbsp;backgroundColor)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setBkMode-org.apache.poi.hwmf.record.HwmfMisc.WmfSetBkMode.HwmfBkMode-">setBkMode</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetBkMode.HwmfBkMode.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfMisc.WmfSetBkMode.HwmfBkMode</a>&nbsp;bkMode)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setBrushBitmap-java.awt.image.BufferedImage-">setBrushBitmap</a></span>(java.awt.image.BufferedImage&nbsp;brushBitmap)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setBrushColor-org.apache.poi.hwmf.record.HwmfColorRef-">setBrushColor</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfColorRef</a>&nbsp;brushColor)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setBrushHatch-org.apache.poi.hwmf.record.HwmfHatchStyle-">setBrushHatch</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfHatchStyle.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfHatchStyle</a>&nbsp;brushHatch)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setBrushStyle-org.apache.poi.hwmf.record.HwmfBrushStyle-">setBrushStyle</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBrushStyle.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBrushStyle</a>&nbsp;brushStyle)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setFont-org.apache.poi.hwmf.record.HwmfFont-">setFont</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFont.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFont</a>&nbsp;font)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setLocation-double-double-">setLocation</a></span>(double&nbsp;x,
                                    double&nbsp;y)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setMapMode-org.apache.poi.hwmf.record.HwmfMapMode-">setMapMode</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfMapMode.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfMapMode</a>&nbsp;mapMode)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setPalette-java.util.List-">setPalette</a></span>(java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.PaletteEntry.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfPalette.PaletteEntry</a>&gt;&nbsp;palette)</code>
                                    <div class="block">Sets the current palette.</div>
                                </td>
                            </tr>
                            <tr id="i34" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setPaletteOffset-int-">setPaletteOffset</a></span>(int&nbsp;paletteOffset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i35" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setPenColor-org.apache.poi.hwmf.record.HwmfColorRef-">setPenColor</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfColorRef</a>&nbsp;penColor)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i36" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setPenMiterLimit-double-">setPenMiterLimit</a></span>(double&nbsp;penMiterLimit)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i37" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setPenStyle-org.apache.poi.hwmf.record.HwmfPenStyle-">setPenStyle</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfPenStyle.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfPenStyle</a>&nbsp;penStyle)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i38" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setPenWidth-double-">setPenWidth</a></span>(double&nbsp;penWidth)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i39" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setPolyfillMode-org.apache.poi.hwmf.record.HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode-">setPolyfillMode</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode</a>&nbsp;polyfillMode)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i40" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setRegion-java.awt.Shape-">setRegion</a></span>(java.awt.Shape&nbsp;region)</code>
                                    <div class="block">Sets a region for further usage</div>
                                </td>
                            </tr>
                            <tr id="i41" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setTextAlignAsian-org.apache.poi.hwmf.record.HwmfText.HwmfTextAlignment-">setTextAlignAsian</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextAlignment</a>&nbsp;textAlignAsian)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i42" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setTextAlignLatin-org.apache.poi.hwmf.record.HwmfText.HwmfTextAlignment-">setTextAlignLatin</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextAlignment</a>&nbsp;textAlignLatin)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i43" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setTextColor-org.apache.poi.hwmf.record.HwmfColorRef-">setTextColor</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfColorRef</a>&nbsp;textColor)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i44" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setTextVAlignAsian-org.apache.poi.hwmf.record.HwmfText.HwmfTextVerticalAlignment-">setTextVAlignAsian</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextVerticalAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextVerticalAlignment</a>&nbsp;textVAlignAsian)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i45" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setTextVAlignLatin-org.apache.poi.hwmf.record.HwmfText.HwmfTextVerticalAlignment-">setTextVAlignLatin</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextVerticalAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextVerticalAlignment</a>&nbsp;textVAlignLatin)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i46" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setViewportExt-double-double-">setViewportExt</a></span>(double&nbsp;width,
                                    double&nbsp;height)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i47" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setViewportOrg-double-double-">setViewportOrg</a></span>(double&nbsp;x,
                                    double&nbsp;y)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i48" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setWindowExt-double-double-">setWindowExt</a></span>(double&nbsp;width,
                                    double&nbsp;height)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i49" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html#setWindowOrg-double-double-">setWindowOrg</a></span>(double&nbsp;x,
                                    double&nbsp;y)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HwmfDrawProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HwmfDrawProperties</h4>
                                <pre>public&nbsp;HwmfDrawProperties()</pre>
                            </li>
                        </ul>
                        <a name="HwmfDrawProperties-org.apache.poi.hwmf.draw.HwmfDrawProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HwmfDrawProperties</h4>
                                <pre>public&nbsp;HwmfDrawProperties(<a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html"
                                        title="class in org.apache.poi.hwmf.draw">HwmfDrawProperties</a>&nbsp;other)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="setViewportExt-double-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setViewportExt</h4>
                                <pre>public&nbsp;void&nbsp;setViewportExt(double&nbsp;width,
                           double&nbsp;height)</pre>
                            </li>
                        </ul>
                        <a name="setViewportOrg-double-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setViewportOrg</h4>
                                <pre>public&nbsp;void&nbsp;setViewportOrg(double&nbsp;x,
                           double&nbsp;y)</pre>
                            </li>
                        </ul>
                        <a name="getViewport--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getViewport</h4>
                                <pre>public&nbsp;java.awt.geom.Rectangle2D&nbsp;getViewport()</pre>
                            </li>
                        </ul>
                        <a name="setWindowExt-double-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setWindowExt</h4>
                                <pre>public&nbsp;void&nbsp;setWindowExt(double&nbsp;width,
                         double&nbsp;height)</pre>
                            </li>
                        </ul>
                        <a name="setWindowOrg-double-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setWindowOrg</h4>
                                <pre>public&nbsp;void&nbsp;setWindowOrg(double&nbsp;x,
                         double&nbsp;y)</pre>
                            </li>
                        </ul>
                        <a name="getWindow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWindow</h4>
                                <pre>public&nbsp;java.awt.geom.Rectangle2D&nbsp;getWindow()</pre>
                            </li>
                        </ul>
                        <a name="setLocation-double-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLocation</h4>
                                <pre>public&nbsp;void&nbsp;setLocation(double&nbsp;x,
                        double&nbsp;y)</pre>
                            </li>
                        </ul>
                        <a name="getLocation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLocation</h4>
                                <pre>public&nbsp;java.awt.geom.Point2D&nbsp;getLocation()</pre>
                            </li>
                        </ul>
                        <a name="setMapMode-org.apache.poi.hwmf.record.HwmfMapMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMapMode</h4>
                                <pre>public&nbsp;void&nbsp;setMapMode(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfMapMode.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfMapMode</a>&nbsp;mapMode)</pre>
                            </li>
                        </ul>
                        <a name="getMapMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMapMode</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwmf/record/HwmfMapMode.html"
                                                    title="enum in org.apache.poi.hwmf.record">HwmfMapMode</a>&nbsp;getMapMode()</pre>
                            </li>
                        </ul>
                        <a name="getBrushStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBrushStyle</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwmf/record/HwmfBrushStyle.html"
                                                    title="enum in org.apache.poi.hwmf.record">HwmfBrushStyle</a>&nbsp;getBrushStyle()</pre>
                            </li>
                        </ul>
                        <a name="setBrushStyle-org.apache.poi.hwmf.record.HwmfBrushStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBrushStyle</h4>
                                <pre>public&nbsp;void&nbsp;setBrushStyle(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBrushStyle.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBrushStyle</a>&nbsp;brushStyle)</pre>
                            </li>
                        </ul>
                        <a name="getBrushHatch--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBrushHatch</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwmf/record/HwmfHatchStyle.html"
                                                    title="enum in org.apache.poi.hwmf.record">HwmfHatchStyle</a>&nbsp;getBrushHatch()</pre>
                            </li>
                        </ul>
                        <a name="setBrushHatch-org.apache.poi.hwmf.record.HwmfHatchStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBrushHatch</h4>
                                <pre>public&nbsp;void&nbsp;setBrushHatch(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfHatchStyle.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfHatchStyle</a>&nbsp;brushHatch)</pre>
                            </li>
                        </ul>
                        <a name="getBrushColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBrushColor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                                    title="class in org.apache.poi.hwmf.record">HwmfColorRef</a>&nbsp;getBrushColor()</pre>
                            </li>
                        </ul>
                        <a name="setBrushColor-org.apache.poi.hwmf.record.HwmfColorRef-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBrushColor</h4>
                                <pre>public&nbsp;void&nbsp;setBrushColor(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfColorRef</a>&nbsp;brushColor)</pre>
                            </li>
                        </ul>
                        <a name="getBkMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBkMode</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetBkMode.HwmfBkMode.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfMisc.WmfSetBkMode.HwmfBkMode</a>&nbsp;getBkMode()</pre>
                            </li>
                        </ul>
                        <a name="setBkMode-org.apache.poi.hwmf.record.HwmfMisc.WmfSetBkMode.HwmfBkMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBkMode</h4>
                                <pre>public&nbsp;void&nbsp;setBkMode(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetBkMode.HwmfBkMode.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfMisc.WmfSetBkMode.HwmfBkMode</a>&nbsp;bkMode)</pre>
                            </li>
                        </ul>
                        <a name="getPenStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPenStyle</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwmf/record/HwmfPenStyle.html"
                                                    title="class in org.apache.poi.hwmf.record">HwmfPenStyle</a>&nbsp;getPenStyle()</pre>
                            </li>
                        </ul>
                        <a name="setPenStyle-org.apache.poi.hwmf.record.HwmfPenStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPenStyle</h4>
                                <pre>public&nbsp;void&nbsp;setPenStyle(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfPenStyle.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfPenStyle</a>&nbsp;penStyle)</pre>
                            </li>
                        </ul>
                        <a name="getPenColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPenColor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                                    title="class in org.apache.poi.hwmf.record">HwmfColorRef</a>&nbsp;getPenColor()</pre>
                            </li>
                        </ul>
                        <a name="setPenColor-org.apache.poi.hwmf.record.HwmfColorRef-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPenColor</h4>
                                <pre>public&nbsp;void&nbsp;setPenColor(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfColorRef</a>&nbsp;penColor)</pre>
                            </li>
                        </ul>
                        <a name="getPenWidth--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPenWidth</h4>
                                <pre>public&nbsp;double&nbsp;getPenWidth()</pre>
                            </li>
                        </ul>
                        <a name="setPenWidth-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPenWidth</h4>
                                <pre>public&nbsp;void&nbsp;setPenWidth(double&nbsp;penWidth)</pre>
                            </li>
                        </ul>
                        <a name="getPenMiterLimit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPenMiterLimit</h4>
                                <pre>public&nbsp;double&nbsp;getPenMiterLimit()</pre>
                            </li>
                        </ul>
                        <a name="setPenMiterLimit-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPenMiterLimit</h4>
                                <pre>public&nbsp;void&nbsp;setPenMiterLimit(double&nbsp;penMiterLimit)</pre>
                            </li>
                        </ul>
                        <a name="getBackgroundColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBackgroundColor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                                    title="class in org.apache.poi.hwmf.record">HwmfColorRef</a>&nbsp;getBackgroundColor()</pre>
                            </li>
                        </ul>
                        <a name="setBackgroundColor-org.apache.poi.hwmf.record.HwmfColorRef-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBackgroundColor</h4>
                                <pre>public&nbsp;void&nbsp;setBackgroundColor(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfColorRef</a>&nbsp;backgroundColor)</pre>
                            </li>
                        </ul>
                        <a name="getPolyfillMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPolyfillMode</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode</a>&nbsp;getPolyfillMode()</pre>
                            </li>
                        </ul>
                        <a name="setPolyfillMode-org.apache.poi.hwmf.record.HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPolyfillMode</h4>
                                <pre>public&nbsp;void&nbsp;setPolyfillMode(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode</a>&nbsp;polyfillMode)</pre>
                            </li>
                        </ul>
                        <a name="getBrushBitmap--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBrushBitmap</h4>
                                <pre>public&nbsp;java.awt.image.BufferedImage&nbsp;getBrushBitmap()</pre>
                            </li>
                        </ul>
                        <a name="setBrushBitmap-java.awt.image.BufferedImage-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBrushBitmap</h4>
                                <pre>public&nbsp;void&nbsp;setBrushBitmap(java.awt.image.BufferedImage&nbsp;brushBitmap)</pre>
                            </li>
                        </ul>
                        <a name="getRegion--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRegion</h4>
                                <pre>public&nbsp;java.awt.Shape&nbsp;getRegion()</pre>
                                <div class="block">Gets the last stored region</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the last stored region</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRegion-java.awt.Shape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRegion</h4>
                                <pre>public&nbsp;void&nbsp;setRegion(java.awt.Shape&nbsp;region)</pre>
                                <div class="block">Sets a region for further usage</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>region</code> - a region object which is usually a rectangle</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPalette--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPalette</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.PaletteEntry.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfPalette.PaletteEntry</a>&gt;&nbsp;getPalette()</pre>
                                <div class="block">Returns the current palette.
                                    Callers may modify the palette.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the current palette or null, if it hasn't been set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPalette-java.util.List-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPalette</h4>
                                <pre>public&nbsp;void&nbsp;setPalette(java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.PaletteEntry.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfPalette.PaletteEntry</a>&gt;&nbsp;palette)</pre>
                                <div class="block">Sets the current palette.
                                    It's the callers duty to set a modifiable copy of the palette.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>palette</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPaletteOffset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPaletteOffset</h4>
                                <pre>public&nbsp;int&nbsp;getPaletteOffset()</pre>
                            </li>
                        </ul>
                        <a name="setPaletteOffset-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPaletteOffset</h4>
                                <pre>public&nbsp;void&nbsp;setPaletteOffset(int&nbsp;paletteOffset)</pre>
                            </li>
                        </ul>
                        <a name="getTextColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextColor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                                    title="class in org.apache.poi.hwmf.record">HwmfColorRef</a>&nbsp;getTextColor()</pre>
                            </li>
                        </ul>
                        <a name="setTextColor-org.apache.poi.hwmf.record.HwmfColorRef-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextColor</h4>
                                <pre>public&nbsp;void&nbsp;setTextColor(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfColorRef.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfColorRef</a>&nbsp;textColor)</pre>
                            </li>
                        </ul>
                        <a name="getFont--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFont</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwmf/record/HwmfFont.html"
                                                    title="class in org.apache.poi.hwmf.record">HwmfFont</a>&nbsp;getFont()</pre>
                            </li>
                        </ul>
                        <a name="setFont-org.apache.poi.hwmf.record.HwmfFont-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFont</h4>
                                <pre>public&nbsp;void&nbsp;setFont(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfFont.html"
                                        title="class in org.apache.poi.hwmf.record">HwmfFont</a>&nbsp;font)</pre>
                            </li>
                        </ul>
                        <a name="getTextAlignLatin--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextAlignLatin</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextAlignment</a>&nbsp;getTextAlignLatin()</pre>
                            </li>
                        </ul>
                        <a name="setTextAlignLatin-org.apache.poi.hwmf.record.HwmfText.HwmfTextAlignment-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextAlignLatin</h4>
                                <pre>public&nbsp;void&nbsp;setTextAlignLatin(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextAlignment</a>&nbsp;textAlignLatin)</pre>
                            </li>
                        </ul>
                        <a name="getTextVAlignLatin--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextVAlignLatin</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextVerticalAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextVerticalAlignment</a>&nbsp;getTextVAlignLatin()</pre>
                            </li>
                        </ul>
                        <a name="setTextVAlignLatin-org.apache.poi.hwmf.record.HwmfText.HwmfTextVerticalAlignment-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextVAlignLatin</h4>
                                <pre>public&nbsp;void&nbsp;setTextVAlignLatin(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextVerticalAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextVerticalAlignment</a>&nbsp;textVAlignLatin)</pre>
                            </li>
                        </ul>
                        <a name="getTextAlignAsian--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextAlignAsian</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextAlignment</a>&nbsp;getTextAlignAsian()</pre>
                            </li>
                        </ul>
                        <a name="setTextAlignAsian-org.apache.poi.hwmf.record.HwmfText.HwmfTextAlignment-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextAlignAsian</h4>
                                <pre>public&nbsp;void&nbsp;setTextAlignAsian(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextAlignment</a>&nbsp;textAlignAsian)</pre>
                            </li>
                        </ul>
                        <a name="getTextVAlignAsian--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextVAlignAsian</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextVerticalAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextVerticalAlignment</a>&nbsp;getTextVAlignAsian()</pre>
                            </li>
                        </ul>
                        <a name="setTextVAlignAsian-org.apache.poi.hwmf.record.HwmfText.HwmfTextVerticalAlignment-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setTextVAlignAsian</h4>
                                <pre>public&nbsp;void&nbsp;setTextVAlignAsian(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.HwmfTextVerticalAlignment.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfText.HwmfTextVerticalAlignment</a>&nbsp;textVAlignAsian)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfDrawProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html"
               title="class in org.apache.poi.hwmf.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/draw/HwmfDrawProperties.html"
               target="_top">Frames</a></li>
        <li><a href="HwmfDrawProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
